Skip to main content
POST
/
v2
/
commands
/
submit-and-wait-for-transaction
/v2/commands/submit-and-wait-for-transaction
curl --request POST \
  --url https://api.example.com/v2/commands/submit-and-wait-for-transaction \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "commands": {
    "commands": [
      {
        "CreateAndExerciseCommand": {
          "templateId": "<string>",
          "createArguments": "<unknown>",
          "choice": "<string>",
          "choiceArgument": "<unknown>"
        }
      }
    ],
    "commandId": "<string>",
    "actAs": [
      "<string>"
    ],
    "userId": "<string>",
    "readAs": [
      "<string>"
    ],
    "workflowId": "<string>",
    "deduplicationPeriod": {
      "DeduplicationDuration": {
        "value": {
          "seconds": 123,
          "nanos": 123
        }
      }
    },
    "minLedgerTimeAbs": "<string>",
    "submissionId": "<string>",
    "disclosedContracts": [
      {
        "createdEventBlob": "<string>",
        "templateId": "<string>",
        "contractId": "<string>",
        "synchronizerId": "<string>"
      }
    ],
    "synchronizerId": "<string>",
    "packageIdSelectionPreference": [
      "<string>"
    ],
    "prefetchContractKeys": [
      {
        "templateId": "<string>",
        "contractKey": "<unknown>"
      }
    ],
    "tapsMaxPasses": 123
  }
}
'
{
  "transaction": {
    "updateId": "<string>",
    "effectiveAt": "<string>",
    "events": [
      {
        "ArchivedEvent": {
          "offset": 123,
          "nodeId": 123,
          "contractId": "<string>",
          "templateId": "<string>",
          "witnessParties": [
            "<string>"
          ],
          "packageName": "<string>",
          "implementedInterfaces": [
            "<string>"
          ]
        }
      }
    ],
    "offset": 123,
    "synchronizerId": "<string>",
    "recordTime": "<string>",
    "commandId": "<string>",
    "workflowId": "<string>",
    "traceContext": {
      "traceparent": "<string>",
      "tracestate": "<string>"
    },
    "externalTransactionHash": "<string>",
    "paidTrafficCost": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.canton.network/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Ledger API standard JWT token

Body

application/json

These commands are executed as a single atomic transaction.

commands
JsCommands · object
required

The commands to be submitted.

Required

transactionFormat
TransactionFormat · object

If no transaction_format is provided, a default will be used where transaction_shape is set to TRANSACTION_SHAPE_ACS_DELTA, event_format is defined with filters_by_party containing wildcard-template filter for all original act_as and read_as parties and the verbose flag is set.

Optional

Response

transaction
JsTransaction · object
required

The transaction that resulted from the submitted command. The transaction might contain no events (request conditions result in filtering out all of them).

Required